<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [sip.js](./sip.js.md) &gt; [Invitation](./sip.js.invitation.md)

## Invitation class

An invitation is an offer to establish a [Session](./sip.js.session.md) (incoming INVITE).

<b>Signature:</b>

```typescript
export declare class Invitation extends Session 
```

## Remarks

The constructor for this class is marked as internal. Third-party code should not call the constructor directly or create subclasses that extend the `Invitation` class.

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [body](./sip.js.invitation.body.md) |  | <code>string &#124; undefined</code> | Initial incoming INVITE request message body. |
|  [localIdentity](./sip.js.invitation.localidentity.md) |  | <code>NameAddrHeader</code> | The identity of the local user. |
|  [logger](./sip.js.invitation.logger.md) |  | <code>Logger</code> | Logger. |
|  [remoteIdentity](./sip.js.invitation.remoteidentity.md) |  | <code>NameAddrHeader</code> | The identity of the remote user. |
|  [request](./sip.js.invitation.request.md) |  | <code>IncomingRequestMessage</code> | Initial incoming INVITE request message. |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [accept(options)](./sip.js.invitation.accept.md) |  | Accept the invitation. |
|  [dispose()](./sip.js.invitation.dispose.md) |  | Destructor. |
|  [progress(options)](./sip.js.invitation.progress.md) |  | Indicate progress processing the invitation. |
|  [reject(options)](./sip.js.invitation.reject.md) |  | Reject the invitation. |

