<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [sip.js](./sip.js.md) &gt; [SimpleUser](./sip.js.simpleuser.md)

## SimpleUser class

A simple SIP user class.

<b>Signature:</b>

```typescript
export declare class SimpleUser 
```

## Remarks

While this class is completely functional for simple use cases, it is not intended to provide an interface which is suitable for most (must less all) applications. While this class has many limitations (for example, it only handles a single concurrent session), it is, however, intended to serve as a simple example of using the SIP.js API.

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(server, options)](./sip.js.simpleuser._constructor_.md) |  | Constructs a new instance of the <code>SimpleUser</code> class. |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [delegate](./sip.js.simpleuser.delegate.md) |  | <code>SimpleUserDelegate &#124; undefined</code> | Delegate. |
|  [localAudioTrack](./sip.js.simpleuser.localaudiotrack.md) |  | <code>MediaStreamTrack &#124; undefined</code> | The local audio track, if available. |
|  [localVideoTrack](./sip.js.simpleuser.localvideotrack.md) |  | <code>MediaStreamTrack &#124; undefined</code> | The local video track, if available. |
|  [remoteAudioTrack](./sip.js.simpleuser.remoteaudiotrack.md) |  | <code>MediaStreamTrack &#124; undefined</code> | The remote audio track, if available. |
|  [remoteVideoTrack](./sip.js.simpleuser.remotevideotrack.md) |  | <code>MediaStreamTrack &#124; undefined</code> | The remote video track, if available. |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [answer(invitationAcceptOptions)](./sip.js.simpleuser.answer.md) |  | Answer an incoming call. |
|  [call(destination, inviterOptions, inviterInviteOptions)](./sip.js.simpleuser.call.md) |  | Make an outoing call. |
|  [connect()](./sip.js.simpleuser.connect.md) |  | Connect. |
|  [decline()](./sip.js.simpleuser.decline.md) |  | Decline an incoming call. |
|  [disconnect()](./sip.js.simpleuser.disconnect.md) |  | Disconnect. |
|  [hangup()](./sip.js.simpleuser.hangup.md) |  | Hangup a call. |
|  [hold()](./sip.js.simpleuser.hold.md) |  | Hold call |
|  [isConnected()](./sip.js.simpleuser.isconnected.md) |  | Return true if connected. |
|  [isHeld()](./sip.js.simpleuser.isheld.md) |  | Hold state. |
|  [isMuted()](./sip.js.simpleuser.ismuted.md) |  | Mute state. |
|  [message(destination, message)](./sip.js.simpleuser.message.md) |  | Send a message. |
|  [mute()](./sip.js.simpleuser.mute.md) |  | Mute call. |
|  [register(registererOptions, registererRegisterOptions)](./sip.js.simpleuser.register.md) |  | Start receiving incoming calls. |
|  [sendDTMF(tone)](./sip.js.simpleuser.senddtmf.md) |  | Send DTMF. |
|  [unhold()](./sip.js.simpleuser.unhold.md) |  | Unhold call. |
|  [unmute()](./sip.js.simpleuser.unmute.md) |  | Unmute call. |
|  [unregister(registererUnregisterOptions)](./sip.js.simpleuser.unregister.md) |  | Stop receiving incoming calls. |

